<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 23.06.2011
     developed and tested with DVD Profiler Version 3.7 XML-export
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="xml" encoding="UTF-8" indent="yes"/>

<xsl:template match="Collection">
<Collection>
<!--  <xsl:apply-templates select="DVD"><xsl:sort select="Events/Event/Timestamp" order="descending"/><xsl:sort select="SortTitle"/></xsl:apply-templates> -->
  <xsl:apply-templates select="DVD"/>
</Collection>
</xsl:template>

<xsl:template match="DVD">

<DVD>
  <xsl:variable name="current-ID"><xsl:value-of select="ID"/></xsl:variable>
  <ID><xsl:value-of select="ID"/></ID>
  <Title><xsl:value-of select="Title"/></Title>
  <DistTrait><xsl:value-of select="DistTrait"/></DistTrait>
<!--  <xsl:copy-of select="Discs"/> -->
  <Discs>
    <Disc>
        <DescriptionSideA><xsl:value-of select="Discs/Disc/DescriptionSideA"/></DescriptionSideA>
        <DescriptionSideB><xsl:value-of select="Discs/Disc/DescriptionSideB"/></DescriptionSideB>
        <DiscIDSideA><xsl:value-of select="Discs/Disc/DiscIDSideA"/></DiscIDSideA>
        <DiscIDSideB><xsl:value-of select="Discs/Disc/DiscIDSideB"/></DiscIDSideB>
        <LabelSideA><xsl:value-of select="Discs/Disc/LabelSideA"/></LabelSideA>
        <LabelSideB><xsl:value-of select="Discs/Disc/LabelSideB"/></LabelSideB>
        <DualLayeredSideA><xsl:value-of select="Discs/Disc/DualLayeredSideA"/></DualLayeredSideA>
        <DualLayeredSideB><xsl:value-of select="Discs/Disc/DualLayeredSideB"/></DualLayeredSideB>
        <DualSided><xsl:value-of select="Discs/Disc/DualSided"/></DualSided>
<!--        <Location><xsl:value-of select="Discs/Disc/Location"/></Location> -->
        <Location><xsl:value-of select="document('collection-location-import.xml')/Collection/DVD[ID=$current-ID]/Location"/></Location>
        <Slot><xsl:value-of select="Discs/Disc/Slot"/></Slot>
    </Disc>
  </Discs>
</DVD>

</xsl:template>

</xsl:stylesheet>

