<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 26.09.2011
     DVD Profiler Version 3.7
	 Aufruf: xsltproc.exe - - stringparam jahr 2011 statistik-jahr-param.xsl collection.xml
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text"
  encoding="ISO-8859-1"/>

<xsl:template match="Collection">

  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-01')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-02')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-03')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-04')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-05')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-06')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-07')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-08')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-09')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-10')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-11')"/></xsl:call-template>
  <xsl:call-template name="Monat"><xsl:with-param name="monatszahl" select="concat($jahr,'-12')"/></xsl:call-template>

  <xsl:text>&#xa;&#xa;</xsl:text>
  <xsl:value-of select="$jahr"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="count(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $jahr) and count(CollectionNumber[text()]) &gt; 0])"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $jahr)]/PurchaseInfo/PurchasePrice)"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="count(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $jahr) and MediaTypes/DVD = 'true' and count(CollectionNumber[text()]) &gt; 0])"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="count(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $jahr) and MediaTypes/BluRay = 'true' and count(CollectionNumber[text()]) &gt; 0])"/>
  
</xsl:template>

<xsl:template name="Monat">
  <xsl:param name="monatszahl"/>

  <xsl:text>&#xa;</xsl:text>
  <xsl:value-of select="$monatszahl"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="count(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $monatszahl) and count(CollectionNumber[text()]) &gt; 0])"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $monatszahl)]/PurchaseInfo/PurchasePrice)"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="count(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $monatszahl) and MediaTypes/DVD = 'true' and count(CollectionNumber[text()]) &gt; 0])"/>
  <xsl:text>&#x9;</xsl:text>
  <xsl:value-of select="count(/Collection/DVD[starts-with(PurchaseInfo/PurchaseDate, $monatszahl) and MediaTypes/BluRay = 'true' and count(CollectionNumber[text()]) &gt; 0])"/>

</xsl:template>

</xsl:stylesheet>
