<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 29.03.2010
     DVD Profiler Version 3.6
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="Audio">
  <xsl:for-each select="AudioTrack">
    <tr>
      <td class="dvddata"><xsl:value-of select="AudioContent"/></td>
      <td class="dvddata">
        <xsl:choose>
          <xsl:when test="AudioFormat = 'DTS-HD High Resolution'">
            <xsl:text>DTS-HD HR</xsl:text>
          </xsl:when>
          <xsl:when test="AudioFormat = 'DTS-HD Master Audio'">
            <xsl:text>DTS-HD MA</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="AudioFormat"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text> </xsl:text>
        <xsl:choose>
          <xsl:when test="AudioChannels = '2-Channel Stereo'">
            <xsl:text>Stereo</xsl:text>
          </xsl:when>
          <xsl:when test="AudioChannels = '5.1 (Matrixed 6.1)'">
            <xsl:text>6.1</xsl:text>
          </xsl:when>
          <xsl:when test="AudioChannels = '6.1 (Discrete)'">
            <xsl:text>6.1</xsl:text>
          </xsl:when>
          <xsl:when test="AudioChannels = 'Dolby Surround'">
            <xsl:text>Surround</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="AudioChannels"/>
          </xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
