<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 16.03.2007
     DVD Profiler Version 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="Credits">
<xsl:if test="count(Credit[@CreditSubtype = 'Director'])&gt;0">
    <xsl:text>Director</xsl:text>
    <xsl:if test="count(Credit[@CreditSubtype = 'Director'])&gt;1">
      <xsl:text>s</xsl:text>
    </xsl:if>
    <xsl:text>: </xsl:text>
    <xsl:for-each select="Credit[@CreditSubtype = 'Director']">
    <xsl:if test="position() &lt;= 3">
      <xsl:value-of select="@FirstName"/>
      <xsl:text> </xsl:text>
      <xsl:if test="string-length(@MiddleName)&gt;0">
        <xsl:value-of select="@MiddleName"/>
        <xsl:text> </xsl:text>
      </xsl:if>
      <xsl:value-of select="@LastName"/>
      <xsl:if test="not (position()=last())">
        <xsl:text>, </xsl:text>
      </xsl:if>
    </xsl:if>
    </xsl:for-each>
    <xsl:if test="count(Credit[@CreditSubtype = 'Director'])&gt;3">
    <xsl:text>other</xsl:text>
    </xsl:if>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
