<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 24.03.2007
     DVD Profiler Version 2.4 and 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template name="Locality">
  <xsl:choose>
    <xsl:when test="not(contains(ID,'.'))">
      <xsl:text>USA</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=1">
      <xsl:text>Neuseeland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=2">
      <xsl:text>Australien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=3">
      <xsl:text>Kanada</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=4">
      <xsl:text>Grobritannien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=5">
      <xsl:text>Deutschland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=6">
      <xsl:text>China</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=7">
      <xsl:text>ehemalige Sowjetunion</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=8">
      <xsl:text>Frankreich</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=9">
      <xsl:text>Niederlande</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=10">
      <xsl:text>Spanien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=11">
      <xsl:text>Schweden</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=12">
      <xsl:text>Norwegen</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=13">
      <xsl:text>Italien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=14">
      <xsl:text>Dnemark</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=15">
      <xsl:text>Portugal</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=16">
      <xsl:text>Finnland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=17">
      <xsl:text>Japan</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=18">
      <xsl:text>Sdkorea</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=19">
      <xsl:text>Kanada (Quebec)</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=20">
      <xsl:text>Sdafrika</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=21">
      <xsl:text>Hong Kong</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=22">
      <xsl:text>Schweiz</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=23">
      <xsl:text>Brasilien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=24">
      <xsl:text>Israel</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=25">
      <xsl:text>Mexiko</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=26">
      <xsl:text>Island</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=27">
      <xsl:text>Indonesien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=28">
      <xsl:text>Taiwan</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=29">
      <xsl:text>Polen</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=30">
      <xsl:text>Belgien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=31">
      <xsl:text>Trkei</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=32">
      <xsl:text>Argentinien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=33">
      <xsl:text>Slowakei</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=34">
      <xsl:text>Ungarn</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=35">
      <xsl:text>Singapur</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=36">
      <xsl:text>Tschechien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=37">
      <xsl:text>Malaysia</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=38">
      <xsl:text>Thailand</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=39">
      <xsl:text>Indien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=40">
      <xsl:text>sterreich</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=41">
      <xsl:text>Griechenland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=42">
      <xsl:text>Vietnam</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=43">
      <xsl:text>Philippinen </xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=44">
      <xsl:text>Irland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=45">
      <xsl:text>Estland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=46">
      <xsl:text>Rumnien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=47">
      <xsl:text>Iran</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=48">
      <xsl:text>Russland</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=49">
      <xsl:text>Chile</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=50">
      <xsl:text>Kolumbien</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=51">
      <xsl:text>Peru</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>???</xsl:text>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>
