<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 07.04.2007
     DVD Profiler Version 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="Regions">
  <xsl:choose>
  <xsl:when test="count(Region)=0">
      <xsl:text>Region: All</xsl:text>
  </xsl:when>
  <xsl:otherwise>
      <xsl:text>Region</xsl:text>
      <xsl:if test="count(Region)&gt;1">
        <xsl:text>s</xsl:text>
      </xsl:if>
      <xsl:text>: </xsl:text>
      <xsl:for-each select="Region">
        <xsl:value-of select="."/>
        <xsl:if test="not (position()=last())">
          <xsl:text>, </xsl:text>
        </xsl:if>
      </xsl:for-each>
  </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>
