<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
	by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 03.11.2012
	DVD Profiler Version 3.8
	
	<xsl:call-template name="Running"/>
	
	*************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template name="Running">
  <xsl:if test="RunningTime = '0'">
    <xsl:variable name="RT-Child1-ID"><xsl:value-of select="BoxSet/Contents/Content[1]"/></xsl:variable>
    <xsl:variable name="RT-Child2-ID"><xsl:value-of select="BoxSet/Contents/Content[2]"/></xsl:variable>
    <xsl:variable name="RT-Child3-ID"><xsl:value-of select="BoxSet/Contents/Content[3]"/></xsl:variable>
    <xsl:variable name="RT-Child4-ID"><xsl:value-of select="BoxSet/Contents/Content[4]"/></xsl:variable>
    <xsl:variable name="RT-Child5-ID"><xsl:value-of select="BoxSet/Contents/Content[5]"/></xsl:variable>
    <xsl:variable name="RT-Child6-ID"><xsl:value-of select="BoxSet/Contents/Content[6]"/></xsl:variable>
    <xsl:variable name="RT-Child7-ID"><xsl:value-of select="BoxSet/Contents/Content[7]"/></xsl:variable>
    <xsl:variable name="RT-Child8-ID"><xsl:value-of select="BoxSet/Contents/Content[8]"/></xsl:variable>
    <xsl:variable name="RT-Child9-ID"><xsl:value-of select="BoxSet/Contents/Content[9]"/></xsl:variable>

    <xsl:variable name="RT-Child1-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child1-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child1-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child2-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child2-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child2-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child3-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child3-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child3-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child4-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child4-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child4-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child5-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child5-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child5-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child6-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child6-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child6-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child7-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child7-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child7-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child8-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child8-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child8-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:variable name="RT-Child9-Time"><xsl:choose><xsl:when test="string-length(/Collection/DVD[ID=$RT-Child9-ID]/RunningTime)&gt;0"><xsl:value-of select="/Collection/DVD[ID=$RT-Child9-ID]/RunningTime"/></xsl:when><xsl:otherwise>0</xsl:otherwise></xsl:choose></xsl:variable>
    <xsl:value-of select="$RT-Child1-Time + $RT-Child2-Time + $RT-Child3-Time + $RT-Child4-Time + $RT-Child5-Time + $RT-Child6-Time + $RT-Child7-Time + $RT-Child8-Time + $RT-Child9-Time"/>

  </xsl:if>
  <xsl:if test="RunningTime &gt; '0'">
    <xsl:value-of select="RunningTime"/>
  </xsl:if>
</xsl:template>

</xsl:stylesheet>
