<?xml version="1.0" encoding="ISO-8859-15"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 16.03.2007
     developed and tested with DVD Profiler Version 2.4 and 3.0 XML-export
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <xsl:include href="templates/template-genres.xsl"/>
  <xsl:include href="templates/template-regions.xsl"/>
  <xsl:include href="templates/template-locality-english.xsl"/>
  <xsl:include href="templates/template-credits.xsl"/>

<xsl:output method="text"
  encoding="utf-8"/>

<xsl:variable name="upcfull">-</xsl:variable>
<xsl:variable name="upclean"></xsl:variable>

<xsl:template match="Collection">
<!-- <xsl:apply-templates select="DVD"></xsl:apply-templates> -->
  <!--       <xsl:value-of select="count(/Collection/DVD[CountryOfOrigin = 'Germany'])"/>   -->
  <xsl:value-of select="sum(/Collection/DVD[contains(Events/Event/Timestamp, '2012-') and contains(Events/Event/EventType, 'Watched')]/RunningTime)"/>
  <xsl:text>&#xa;</xsl:text>
  <xsl:value-of select="sum(/Collection/DVD[(count(BoxSet/Contents[text()]) = 0 and not(Tags/Tag[@Name = 'xUnwantedChild']))]/RunningTime)"/>
  <xsl:text>&#xa;</xsl:text>
  <xsl:value-of select="sum(/Collection/DVD/RunningTime)"/>
  <xsl:text>&#xa;</xsl:text>
<!--   <xsl:apply-templates select="DVD"><xsl:sort select="SortTitle"/></xsl:apply-templates> -->

</xsl:template>

<xsl:template match="DVD">
<!-- <xsl:if test="CollectionType/@IsPartOfOwnedCollection='true'"> -->
  <xsl:if test="contains(Events/Event/EventType, 'Watched') and contains(Events/Event/User/@FirstName, 'Mithi') and (contains(Events/Event/Timestamp, '2012'))">

  <xsl:text>"</xsl:text>
  <xsl:value-of select="Title"/>
  <xsl:text>";"</xsl:text>
  <xsl:value-of select="ID"/>
  <xsl:text>";"</xsl:text>
  <xsl:value-of select="Events/Event/Timestamp"/>
  <xsl:text>";"</xsl:text>
  <xsl:value-of select="RunningTime"/>  
  <xsl:text>"</xsl:text>
  <!--   <xsl:value-of select="PurchaseInfo/PurchasePrice/@FormattedValue"/> -->
<!--  <xsl:value-of select="PurchaseInfo/PurchasePlace"/>
  <xsl:text>";"</xsl:text>
  <xsl:value-of select="PurchaseInfo/PurchaseDate"/>
  <xsl:text>"</xsl:text> -->
  <xsl:text>&#xa;</xsl:text>
</xsl:if>
</xsl:template>

  <!--       <xsl:for-each select="Events/Event">
	<xsl:text>&#xa;</xsl:text>
    <xsl:value-of select="EventType"/>
	<xsl:text>;</xsl:text>
	<xsl:value-of select="substring(Timestamp, 1, 19)"/>
	<xsl:text>;</xsl:text>
	<xsl:value-of select="User/@FirstName"/>
  </xsl:for-each>   -->

<!-- <xsl:if test="contains(Events/Event/EventType, 'Watched') and contains(Events/Event/User/@FirstName, 'Mithi') and (contains(Events/Event/Timestamp, '-12-25'))"> -->
<!-- <xsl:if test="CollectionType='Owned' and (string-length(BoxSet/Parent)&gt;0 or string-length(BoxSet/Contents)&gt;0)"> -->
<!-- <xsl:if test="CollectionType='Owned' and not(contains(UPC, 'Disc'))"> -->
<!--  <xsl:if test="string-length(BoxSet/Parent)&gt;0"> -->
<!-- <xsl:if test="CollectionType='Owned' and count(Actors/Actor)&lt;1"> -->
<!--   <xsl:if test="string-length(BoxSet/Contents)&gt;0"> -->
<!--   <xsl:text>&#xa;#URL&#xa;&#x9;NAME=</xsl:text>
  <xsl:value-of select="Title"/>
  <xsl:text>&#xa;&#x9;</xsl:text>
    <xsl:value-of select="translate(UPC,$upcfull,$upclean)"/>
  <xsl:text>URL=http://www.imdb.com/rg/action-box-title/add-to-my-movies/mymovies/list?pending&amp;add=</xsl:text>
  <xsl:value-of select="Discs/Disc/Slot"/>
  <xsl:text>&#xa;</xsl:text> -->

<!--  <xsl:for-each select="Audio/AudioTrack">
    <xsl:value-of select="AudioFormat"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="AudioChannels"/>
    <xsl:text>&#xa;</xsl:text>
  </xsl:for-each> -->
  
<!--  <xsl:if test="Locks/Covers='true'"> -->
<!--  <xsl:value-of select="Title"/> -->
<!-- <xsl:if test="CollectionType='Owned' and CaseType='Snapper' and not(contains(Studios, 'Warner'))"> -->
<!-- <xsl:if test="Format/FormatAspectRatio >= '1.77' and Format/Format16X9 = 'false' and MediaTypes/DVD = 'true'"> -->
<!-- <xsl:if test="PurchaseInfo/PurchasePlace = 'DVD Box Office'"> -->
<!-- <xsl:if test="CollectionNumber &gt;= 500 and CollectionNumber &lt; 1000"> -->
<!-- <xsl:if test="CollectionType='Owned' and CaseType='Snapper' and not(contains(Studios, 'Warner'))"> -->

<!--   <xsl:apply-templates select="PurchaseInfo/PurchasePriceInfo/PurchasePrice"/> -->
<!--   <xsl:call-template name="Locality"/> -->

<!--   <xsl:value-of select="sum(/Collection/DVD[count(BoxSet/Contents[text()]) = 0 and contains(Events/Event/EventType, 'Watched')]/RunningTime)"/> -->
<!--   <xsl:value-of select="Format/FormatAspectRatio"/> -->
<!--   <xsl:value-of select="PurchaseInfo/PurchaseDate"/> -->
<!--   <xsl:value-of select="RunningTime"/> -->
<!--   <xsl:value-of select="UPC"/> -->
<!--   <xsl:value-of select="CollectionNumber"/> -->
<!--   <xsl:value-of select="Locks/Entire"/> -->
<!--   <xsl:value-of select="Locks/Covers"/> -->
<!--   <xsl:value-of select="Locks/Title"/> -->
<!--   <xsl:value-of select="Locks/MediaType"/> -->
<!--   <xsl:value-of select="Locks/Entire"/> -->
<!--   <xsl:value-of select="Notes"/> -->
<!--   <xsl:value-of select="Discs/Disc/Slot"/> -->
<!-- <xsl:value-of select="sum(/Collection/DVD[Tags/Tag[@Name = 'Criterion']]/RunningTime)"/> -->
<!-- <xsl:value-of select="sum(/Collection/DVD[CollectionType='Owned'][BoxSet/Contents='']/RunningTime)"/> -->
<!--   <xsl:text>;</xsl:text> -->
<!--   <xsl:text>&#xa;</xsl:text> -->
<!--   <xsl:text>&#x9;</xsl:text> -->

<!--   <xsl:if test="count(Description)&gt;0">
    <xsl:text>: </xsl:text><xsl:value-of select="Description"/>
  </xsl:if> -->

<!--     <xsl:for-each select="Discs/Disc/DiscIDSideA">
      <xsl:value-of select="."/>
      <xsl:text>
    </xsl:for-each> -->

<!--   <xsl:for-each select="Studios/Studio">
    <xsl:value-of select="."/>
    <xsl:if test="not (position()=last())">
      <xsl:text>, </xsl:text>
    </xsl:if>
  </xsl:for-each> -->


<!-- Events suche
<xsl:if test="CollectionType='Owned'">
  <xsl:value-of select="Title"/>
  <xsl:for-each select="Events/Event">
	<xsl:text>&#xa;</xsl:text>
    <xsl:value-of select="EventType"/>
	<xsl:text>;</xsl:text>
	<xsl:value-of select="substring(Timestamp, 1, 19)"/>
	<xsl:text>;</xsl:text>
	<xsl:value-of select="User/@FirstName"/>
  </xsl:for-each>
  <xsl:text>&#xa;</xsl:text>
</xsl:if> -->

</xsl:stylesheet>
