<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- ***************
     by Michael 'Mithi' Cordes ( http://www.dvd-welt.de/privat/xsl.html ) 24.03.2007
     DVD Profiler Version 2.4 and 3.0
     *************** -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template name="Locality-Short">
  <xsl:choose>
    <xsl:when test="not(contains(ID,'.'))">
      <xsl:text>US</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=1">
      <xsl:text>NZ</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=2">
      <xsl:text>AU</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=3">
      <xsl:text>CA</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=4">
      <xsl:text>UK</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=5">
      <xsl:text>DE</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=6">
      <xsl:text>CN</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=7">
      <xsl:text>ehemalige Sowjetunion</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=8">
      <xsl:text>FR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=9">
      <xsl:text>NL</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=10">
      <xsl:text>ES</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=11">
      <xsl:text>SE</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=12">
      <xsl:text>NO</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=13">
      <xsl:text>IT</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=14">
      <xsl:text>DK</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=15">
      <xsl:text>PT</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=16">
      <xsl:text>FI</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=17">
      <xsl:text>JP</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=18">
      <xsl:text>KR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=19">
      <xsl:text>CA</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=20">
      <xsl:text>ZA</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=21">
      <xsl:text>HK</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=22">
      <xsl:text>CH</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=23">
      <xsl:text>BR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=24">
      <xsl:text>IL</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=25">
      <xsl:text>MX</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=26">
      <xsl:text>IS</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=27">
      <xsl:text>ID</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=28">
      <xsl:text>TW</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=29">
      <xsl:text>PL</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=30">
      <xsl:text>BE</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=31">
      <xsl:text>TR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=32">
      <xsl:text>AR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=33">
      <xsl:text>SK</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=34">
      <xsl:text>HU</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=35">
      <xsl:text>SG</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=36">
      <xsl:text>CZ</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=37">
      <xsl:text>MY</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=38">
      <xsl:text>TH</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=39">
      <xsl:text>IN</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=40">
      <xsl:text>AT</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=41">
      <xsl:text>GR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=42">
      <xsl:text>VN</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=43">
      <xsl:text>PH</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=44">
      <xsl:text>IE</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=45">
      <xsl:text>EE</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=46">
      <xsl:text>RO</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=47">
      <xsl:text>IR</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=48">
      <xsl:text>RU</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=49">
      <xsl:text>CL</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=50">
      <xsl:text>CO</xsl:text>
    </xsl:when>
    <xsl:when test="substring-after(ID,'.')=51">
      <xsl:text>PE</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:text>???</xsl:text>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>
</xsl:stylesheet>
